CREATE TABLE public.project (
    id integer GENERATED BY DEFAULT AS IDENTITY,
    title text,
    description text,
    authorId integer,
    PRIMARY KEY(id)
);

CREATE TABLE public.user (
    id integer GENERATED BY DEFAULT AS IDENTITY,
    username text,
    email text,
    passwd text, 
    firstName text, 
    lastName text, 
    profilePic text,
    PRIMARY KEY(id)
);

CREATE TABLE public.timesheet (
    id integer GENERATED BY DEFAULT AS IDENTITY,
    title text,
    description text,
    startingDate timestamp with time zone,
    duration int,
    endingDate timestamp with time zone,
    projectId integer,
    authorId integer,
    PRIMARY KEY(id)
);

ALTER TABLE public.timesheet 
ADD CONSTRAINT fk_timesheet_project FOREIGN KEY (projectId) REFERENCES public.project (id);

ALTER TABLE public.timesheet 
ADD CONSTRAINT fk_timesheet_user FOREIGN KEY (authorId) REFERENCES public.user (id);

ALTER TABLE public.project 
ADD CONSTRAINT fk_project_user FOREIGN KEY (authorId) REFERENCES public.user (id);

